1.40. gnome-screensaver

1.40.1. RHBA-2010:0944: bug fix update

An updated gnome-screensaver package that fixes a bug is now available for Red Hat Enterprise Linux 5.
The gnome-screensaver package contains the GNOME project's official screen saver program. It is designed for improved integration with a GNOME desktop, including themeability, language support, and Human Interface Guidelines (HIG) compliance. It also provides screen-locking and fast user-switching from a locked screen.
A recent bug fix introduced in RHBA-2010:0826 uncovered a latent bug in gnome-screensaver's PAM message handling. This update fixes the following manifestations of that bug:
* An attempt to unlock a locked screen using the smart card authentication failed. With this update, this error no longer occurs, and unlocking a screen with the smart card authentication no works as expected. ( BZ#656924)
* When using cached credentials with the System Security Services Daemon (SSSD), an attempt to unlock a locked screen in the "offline mode" could fail. With this update, this error has been fixed, and such attempt no longer fails. ( BZ#657044)
Users of gnome-screensaver should upgrade to this updated package, which resolves these issues.

1.40.2. RHBA-2010:0826: bug fix update

An updated gnome-screensaver package that fixes a bug is now available for Red Hat Enterprise Linux 5.
The gnome-screensaver package contains the GNOME project's official screen saver program. It is designed for improved integration with a GNOME desktop, including themeability, language support, and Human Interface Guidelines (HIG) compliance. It also provides screen-locking and fast user-switching from a locked screen.
This update fixes the following bug:
* When unlocking the screen, clicking the "Cancel" button may have caused the following message to appear in the /var/log/secure log:
gnome-screensaver-dialog: pam_unix(gnome-screensaver:auth): auth could not identify password for [user]
This was due to authentication dialog attempting to log in, even though no such action was requested. With this update, this error has been fixed, and clicking "Cancel" no longer attempts to authenticate a user. ( BZ#644823)
Users of gnome-screensaver should upgrade to this updated package, which resolves this issue.